> For the complete documentation index, see [llms.txt](https://docs.firework.com/firework-for-developers/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.firework.com/firework-for-developers/react-native-sdk/integration-guide-v2/customization-react-native/video-feed-configurations-react-native.md).

# Video feed configurations (React Native)

`VideoFeed` component provides `videoFeedConfiguration` prop for configuring Video Feed. The current configurable are `backgroundColor`, `cornerRadius`, and `enableAutoplay` etc. Please refer to [VideoFeedConfiguration](https://eng.firework.com/react-native-firework-sdk/v2/interfaces/VideoFeedConfiguration.html) for more details.

### Customize video feed item title

```tsx
<VideoFeed
  style={{ height: 200 }}
  source="discover"
  videoFeedConfiguration={{
    title: {
      // Specifies if the video feed item title is hidden
      hidden: false,
      // Configure video feed item title color
      textColor: '#000000',
      // Configure video feed title item font size
      fontSize: 16,
      // Configure the number of allowed lines for the video feed item title
      numberOfLines: 2,
      // Configure iOS font info.
      // The property is ignored when fontSize is not set
      iOSFontInfo: {
        fontName: 'Helvetica',
        systemFontStyle: 'italic',
        systemFontWeight: 'bold',
      },
      // Configure Android font info.
      // The property is ignored when fontSize is not set
      androidFontInfo: {
        isCustom: false,
        typefaceName: 'SANS_SERIF',
      },
      // Configure the background drawable of video feed item title
      // Only supported on Android
      gradientDrawable: {
        orientation: 'RIGHT_LEFT',
        colors: ['#FF48C9B0', '#FFD98880', '#FFF4D03F'],
      },
    },
    // Configure video feed item title position
    titlePosition: 'nested',
  }}
/>;
```

### Customize other video feed configuration

```tsx
<VideoFeed
  style={{ height: 200 }}
  source="discover"
  videoFeedConfiguration={{
    // Configure background color
    backgroundColor: '#ffffff',
    // Configure the corner radius for video feed item
    cornerRadius: 10,
    // Configure video feed item play icon
    playIcon: {
      hidden: true,
      iconWidth: 30,
    },
    // Indicates if the video feed shows ad badge
    showAdBadge: true,
    // The aspect ratio(width / height) for video feed item
    // Only supported on iOS
    aspectRatio: 9 / 16,
    // Configure content padding
    // Only supported on iOS
    contentPadding: { top: 10, right: 10, bottom: 10, left: 10 },
    // Configure the item spacing
    itemSpacing: 10,
    // Specifies if video feed item autoplay is enabled
    enableAutoplay: true,
    // Configure the number of feed items to be displayed per row
    // The property only takes effect when video feed mode is grid
    gridColumns: 2,
  }}
/>;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.firework.com/firework-for-developers/react-native-sdk/integration-guide-v2/customization-react-native/video-feed-configurations-react-native.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
